<template>
  <div>
    <button class="btn btn-primary" @click="increment(5)">
      Increment by 5
    </button>
    <button class="btn btn-primary" @click="decrement(5)">
      Decrement by 5
    </button>
  </div>
</template>

<script>
// import { mapMutations } from "vuex";
import { mapActions } from "vuex";
export default {
  methods: {
    ...mapActions(["increment", "decrement"])
    // same as
    // increment(num) {
    //   this.$store.dispatch("increment", num);
    // }
  }

  // CALL MUTATION DIRECTLY (NOT good practice)
  // methods: {
  //   ...mapMutations(["increment", "decrement"])
  // }
  // OR
  // methods: {
  //   increment() {
  //     this.$store.commit("increment");
  //   },
  //   decrement() {
  //     this.$store.commit("decrement");
  //   }
  // }
};
</script>
